%define major 10
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Abraction/convenience libraries for OpenEXR
Name:		ilmbase
Version:	2.0.1
Release:	%mkrel 3
Group:		System/Libraries
License:	BSD
URL:		http://www.openexr.com
Source0:	http://download.savannah.nongnu.org/releases/openexr/%{name}-%{version}.tar.gz
Patch0:		%{name}-1.0.0-pthread.patch
Patch1:		ilmbase-1.0.3-secondary.patch
Patch2:		ilmbase-1.0.3-pkgconfig.patch
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)

%description
Half is a class that encapsulates the ilm 16-bit floating-point format.

IlmThread is a thread abstraction library for use with OpenEXR
and other software packages.

Imath implements 2D and 3D vectors, 3x3 and 4x4 matrices, quaternions
and other useful 2D and 3D math functions.

Iex is an exception-handling library.

%package -n %{libname}
Summary:	Abraction/convenience libraries for OpenEXR
Group:		System/Libraries

%description -n %{libname}
Half is a class that encapsulates the ilm 16-bit floating-point format.

IlmThread is a thread abstraction library for use with OpenEXR
and other software packages.

Imath implements 2D and 3D vectors, 3x3 and 4x4 matrices, quaternions
and other useful 2D and 3D math functions.

Iex is an exception-handling library.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	mesaglu-devel
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	OpenEXR-devel < 1.4.1

%description -n %{develname}
Development files for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
./bootstrap
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std

rm -f  %{buildroot}%{_libdir}/lib*.la

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%doc AUTHORS ChangeLog  NEWS README
%{_includedir}/OpenEXR/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0.1-3.mga4
+ Revision: 534403
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 fwang <fwang> 2.0.1-2.mga4
+ Revision: 477833
- add more br

* Thu Sep 12 2013 fwang <fwang> 2.0.1-1.mga4
+ Revision: 477828
- the patch is not needed
- new version 2.0.1

* Sat Jan 12 2013 umeabot <umeabot> 1.0.3-3.mga3
+ Revision: 354287
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 1.0.3-2.mga3
+ Revision: 339206
- patch4: fix build with automake 1.13

* Sun Dec 02 2012 fwang <fwang> 1.0.3-1.mga3
+ Revision: 324941
- only apply patch in 32 bit
- add fedora patches
- new version 1.0.3

* Fri Jan 14 2011 mikala <mikala> 1.0.2-2.mga2
+ Revision: 18042
- Drop mdk macros
- Remove BuildRoot
- imported package ilmbase


* Mon Sep 20 2010 Tomas Kindl <supp@mandriva.org> 1.0.2-2mdv2011.0
+ Revision: 580288
- add missing header to ImathMatrix.h so OpenEXR 1.7.0 would compile...

* Sat Sep 04 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 575899
- update to new version 1.0.2
- disable tests

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-9mdv2010.1
+ Revision: 522921
- rebuilt for 2010.1

* Sat Sep 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-8mdv2010.0
+ Revision: 449342
- rebuild for missing binaries

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.1-7mdv2010.0
+ Revision: 425331
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-6mdv2009.0
+ Revision: 221625
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Jan 12 2008 Anssi Hannula <anssi@mandriva.org> 1.0.1-5mdv2008.1
+ Revision: 149384
- devel conflicts with old OpenEXR-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-4mdv2008.1
+ Revision: 133192
- fix provides for devel package

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-3mdv2008.1
+ Revision: 113732
- do not package COPYING file
- somehow ilmbase-devel is not on hdlist :/

* Sat Nov 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-2mdv2008.1
+ Revision: 109523
- somehow this version is missing on mirrors

* Tue Nov 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 106418
- new version

* Sun Oct 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-2mdv2008.1
+ Revision: 101047
- fix requires for devel package

* Sun Oct 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2008.1
+ Revision: 100967
- import ilmbase


